SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Defines

# sdh/rs232-vcc.cpp File Reference

Implementation of class SDH::cRS232, a class to access serial RS232 port with VCC compiler on Windows. More...

`#include "iostream"`
`#include <windows.h>`
`#include "rs232-vcc.h"`
`#include "simpletime.h"`
`#include "sdhlibrary_settings.h"`
`#include "util.h"`
`#include "dbg.h"`
Include dependency graph for rs232-vcc.cpp:

## Defines
#define | _CRT_SECURE_NO_WARNINGS 1
#define | SDH_RS232_VCC_DEBUG 1
#define | DBG(...)

## Detailed Description

Implementation of class SDH::cRS232, a class to access serial RS232 port with VCC compiler on Windows.

## General file information

Author:
  Martin

Date:
  2008-05-23

## Copyright

Code kindly provided by Martin from the RoboCluster project Denmark.

## Define Documentation

#define _CRT_SECURE_NO_WARNINGS 1

#define DBG | ( |  | ... | ) |

Value:

    do {                    \
            __VA_ARGS__;        \
        } while (0)

#define SDH_RS232_VCC_DEBUG 1

Flag, if true then code for debug messages is included.

The debug messages must still be enabled at run time by setting the some_cRS232_object.dbg.SetFlag(1).

This 2 level scheme is used since this is the lowlevel communication, so debug outputs might really steal some performance.